Page MenuHomePhabricator

UpDonate: match current best banner copy & logic
Closed, ResolvedPublic2 Story Points

Description

Hey @Ejegg, we've made some changes to our current best banner 'UpDonate logic' in the last week, and also had some copy tweaks since the post-payments UpDonate modal was implemented.

Could you please update the modal with the following changes:

Copy

headline: Why not make it %updonate_amount% monthly?
diff-amount-link div: Yes, I'll donate monthly, but for a different amount

Sidenote: The "yes" and "no" button copy is also different in-banner, but that's partly bc the user has two options (continue one-time gift vs. switch to monthly); so I propose that we don't change the button language and test that later.

Screenshot of current banner implementation:

UpDonate logic

// If one-time amount <= left amount, suggest right amount for monthly
frb.amounts.monthlySuggest = {
    'USD' : [ // also GBP, EUR, CAD, AUD, NZD
        [ 9, 1.75 ],
        [ 12, 2 ],
        [ 15, 2.5 ],
        [ 18, 3 ],
        [ 21, 3.5 ],
        [ 24, 4 ],
        [ 27, 4.5 ],
        [ 30, 5 ],
        [ 33, 5.5 ],
        [ 36, 6 ],
        [ 39, 6.5 ],
        [ 42, 7 ],
        [ 45, 7.5 ],
        [ 48, 8 ],
        [ 51, 8.5 ],
        [ 54, 9 ],
        [ 57, 9.5 ],
        [ 60, 10 ],
        [ 63, 10.5 ],
        [ 66, 11 ],
        [ 69, 11.5 ],
        [ 72, 12 ],
        [ 75, 12.5 ],
        [ 102, 17 ],
        [ 250, 25 ],
        [ 500, 50 ],
        [ Infinity, 100 ]
    ]};

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterUpDonate: match current best banner copy and logic

Event Timeline

spatton created this task.Sep 27 2019, 4:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2019, 4:19 PM
XenoRyet claimed this task.Oct 4 2019, 4:23 PM
XenoRyet moved this task from Backlog to Doing on the Fundraising Sprint Trojan Horse Wisperer board.

Change 540935 had a related patch set uploaded (by XenoRyet; owner: XenoRyet):
[mediawiki/extensions/DonationInterface@master] UpDonate: match current best banner copy and logic

https://gerrit.wikimedia.org/r/540935

Change 540935 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] UpDonate: match current best banner copy and logic

https://gerrit.wikimedia.org/r/540935

This is deployed and ready for use.

🔥 @XenoRyet, already noticed and thank you very much - makes for a better test tomorrow!

Cool. I just realized I pushed it out yesterday and then didn't actually tell anyone ;-)

XenoRyet set the point value for this task to 2.Oct 8 2019, 9:32 PM
XenoRyet closed this task as Resolved.Oct 15 2019, 7:56 PM